Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network91.3.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
91.3.0.0
Broadcast address
91.3.63.255
First usable
91.3.0.1
Last usable
91.3.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 5B030000 · Integer 1526923264 to 1526939647
Reverse DNS zones
0.3.91.in-addr.arpa
1.3.91.in-addr.arpa
2.3.91.in-addr.arpa
3.3.91.in-addr.arpa
4.3.91.in-addr.arpa
5.3.91.in-addr.arpa
6.3.91.in-addr.arpa
7.3.91.in-addr.arpa
8.3.91.in-addr.arpa
9.3.91.in-addr.arpa
10.3.91.in-addr.arpa
11.3.91.in-addr.arpa
12.3.91.in-addr.arpa
13.3.91.in-addr.arpa
14.3.91.in-addr.arpa
15.3.91.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011011.00000011.00000000.0000000091.3.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network01011011.00000011.00000000.0000000091.3.0.0
Broadcast01011011.00000011.00111111.1111111191.3.63.255
Split into smaller subnets/28

91.3.0.0/18 makes 1,024 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
191.3.0.0/2891.3.0.1 to 91.3.0.1491.3.0.1514
291.3.0.16/2891.3.0.17 to 91.3.0.3091.3.0.3114
391.3.0.32/2891.3.0.33 to 91.3.0.4691.3.0.4714
491.3.0.48/2891.3.0.49 to 91.3.0.6291.3.0.6314
591.3.0.64/2891.3.0.65 to 91.3.0.7891.3.0.7914
691.3.0.80/2891.3.0.81 to 91.3.0.9491.3.0.9514
791.3.0.96/2891.3.0.97 to 91.3.0.11091.3.0.11114
891.3.0.112/2891.3.0.113 to 91.3.0.12691.3.0.12714
991.3.0.128/2891.3.0.129 to 91.3.0.14291.3.0.14314
1091.3.0.144/2891.3.0.145 to 91.3.0.15891.3.0.15914
1191.3.0.160/2891.3.0.161 to 91.3.0.17491.3.0.17514
1291.3.0.176/2891.3.0.177 to 91.3.0.19091.3.0.19114
1391.3.0.192/2891.3.0.193 to 91.3.0.20691.3.0.20714
1491.3.0.208/2891.3.0.209 to 91.3.0.22291.3.0.22314
1591.3.0.224/2891.3.0.225 to 91.3.0.23891.3.0.23914
1691.3.0.240/2891.3.0.241 to 91.3.0.25491.3.0.25514
1791.3.1.0/2891.3.1.1 to 91.3.1.1491.3.1.1514
1891.3.1.16/2891.3.1.17 to 91.3.1.3091.3.1.3114
1991.3.1.32/2891.3.1.33 to 91.3.1.4691.3.1.4714
2091.3.1.48/2891.3.1.49 to 91.3.1.6291.3.1.6314
2191.3.1.64/2891.3.1.65 to 91.3.1.7891.3.1.7914
2291.3.1.80/2891.3.1.81 to 91.3.1.9491.3.1.9514
2391.3.1.96/2891.3.1.97 to 91.3.1.11091.3.1.11114
2491.3.1.112/2891.3.1.113 to 91.3.1.12691.3.1.12714
2591.3.1.128/2891.3.1.129 to 91.3.1.14291.3.1.14314
2691.3.1.144/2891.3.1.145 to 91.3.1.15891.3.1.15914
2791.3.1.160/2891.3.1.161 to 91.3.1.17491.3.1.17514
2891.3.1.176/2891.3.1.177 to 91.3.1.19091.3.1.19114
2991.3.1.192/2891.3.1.193 to 91.3.1.20691.3.1.20714
3091.3.1.208/2891.3.1.209 to 91.3.1.22291.3.1.22314
3191.3.1.224/2891.3.1.225 to 91.3.1.23891.3.1.23914
3291.3.1.240/2891.3.1.241 to 91.3.1.25491.3.1.25514
3391.3.2.0/2891.3.2.1 to 91.3.2.1491.3.2.1514
3491.3.2.16/2891.3.2.17 to 91.3.2.3091.3.2.3114
3591.3.2.32/2891.3.2.33 to 91.3.2.4691.3.2.4714
3691.3.2.48/2891.3.2.49 to 91.3.2.6291.3.2.6314
3791.3.2.64/2891.3.2.65 to 91.3.2.7891.3.2.7914
3891.3.2.80/2891.3.2.81 to 91.3.2.9491.3.2.9514
3991.3.2.96/2891.3.2.97 to 91.3.2.11091.3.2.11114
4091.3.2.112/2891.3.2.113 to 91.3.2.12691.3.2.12714
4191.3.2.128/2891.3.2.129 to 91.3.2.14291.3.2.14314
4291.3.2.144/2891.3.2.145 to 91.3.2.15891.3.2.15914
4391.3.2.160/2891.3.2.161 to 91.3.2.17491.3.2.17514
4491.3.2.176/2891.3.2.177 to 91.3.2.19091.3.2.19114
4591.3.2.192/2891.3.2.193 to 91.3.2.20691.3.2.20714
4691.3.2.208/2891.3.2.209 to 91.3.2.22291.3.2.22314
4791.3.2.224/2891.3.2.225 to 91.3.2.23891.3.2.23914
4891.3.2.240/2891.3.2.241 to 91.3.2.25491.3.2.25514
4991.3.3.0/2891.3.3.1 to 91.3.3.1491.3.3.1514
5091.3.3.16/2891.3.3.17 to 91.3.3.3091.3.3.3114
5191.3.3.32/2891.3.3.33 to 91.3.3.4691.3.3.4714
5291.3.3.48/2891.3.3.49 to 91.3.3.6291.3.3.6314
5391.3.3.64/2891.3.3.65 to 91.3.3.7891.3.3.7914
5491.3.3.80/2891.3.3.81 to 91.3.3.9491.3.3.9514
5591.3.3.96/2891.3.3.97 to 91.3.3.11091.3.3.11114
5691.3.3.112/2891.3.3.113 to 91.3.3.12691.3.3.12714
5791.3.3.128/2891.3.3.129 to 91.3.3.14291.3.3.14314
5891.3.3.144/2891.3.3.145 to 91.3.3.15891.3.3.15914
5991.3.3.160/2891.3.3.161 to 91.3.3.17491.3.3.17514
6091.3.3.176/2891.3.3.177 to 91.3.3.19091.3.3.19114
6191.3.3.192/2891.3.3.193 to 91.3.3.20691.3.3.20714
6291.3.3.208/2891.3.3.209 to 91.3.3.22291.3.3.22314
6391.3.3.224/2891.3.3.225 to 91.3.3.23891.3.3.23914
6491.3.3.240/2891.3.3.241 to 91.3.3.25491.3.3.25514
6591.3.4.0/2891.3.4.1 to 91.3.4.1491.3.4.1514
6691.3.4.16/2891.3.4.17 to 91.3.4.3091.3.4.3114
6791.3.4.32/2891.3.4.33 to 91.3.4.4691.3.4.4714
6891.3.4.48/2891.3.4.49 to 91.3.4.6291.3.4.6314
6991.3.4.64/2891.3.4.65 to 91.3.4.7891.3.4.7914
7091.3.4.80/2891.3.4.81 to 91.3.4.9491.3.4.9514
7191.3.4.96/2891.3.4.97 to 91.3.4.11091.3.4.11114
7291.3.4.112/2891.3.4.113 to 91.3.4.12691.3.4.12714
7391.3.4.128/2891.3.4.129 to 91.3.4.14291.3.4.14314
7491.3.4.144/2891.3.4.145 to 91.3.4.15891.3.4.15914
7591.3.4.160/2891.3.4.161 to 91.3.4.17491.3.4.17514
7691.3.4.176/2891.3.4.177 to 91.3.4.19091.3.4.19114
7791.3.4.192/2891.3.4.193 to 91.3.4.20691.3.4.20714
7891.3.4.208/2891.3.4.209 to 91.3.4.22291.3.4.22314
7991.3.4.224/2891.3.4.225 to 91.3.4.23891.3.4.23914
8091.3.4.240/2891.3.4.241 to 91.3.4.25491.3.4.25514
8191.3.5.0/2891.3.5.1 to 91.3.5.1491.3.5.1514
8291.3.5.16/2891.3.5.17 to 91.3.5.3091.3.5.3114
8391.3.5.32/2891.3.5.33 to 91.3.5.4691.3.5.4714
8491.3.5.48/2891.3.5.49 to 91.3.5.6291.3.5.6314
8591.3.5.64/2891.3.5.65 to 91.3.5.7891.3.5.7914
8691.3.5.80/2891.3.5.81 to 91.3.5.9491.3.5.9514
8791.3.5.96/2891.3.5.97 to 91.3.5.11091.3.5.11114
8891.3.5.112/2891.3.5.113 to 91.3.5.12691.3.5.12714
8991.3.5.128/2891.3.5.129 to 91.3.5.14291.3.5.14314
9091.3.5.144/2891.3.5.145 to 91.3.5.15891.3.5.15914
9191.3.5.160/2891.3.5.161 to 91.3.5.17491.3.5.17514
9291.3.5.176/2891.3.5.177 to 91.3.5.19091.3.5.19114
9391.3.5.192/2891.3.5.193 to 91.3.5.20691.3.5.20714
9491.3.5.208/2891.3.5.209 to 91.3.5.22291.3.5.22314
9591.3.5.224/2891.3.5.225 to 91.3.5.23891.3.5.23914
9691.3.5.240/2891.3.5.241 to 91.3.5.25491.3.5.25514
9791.3.6.0/2891.3.6.1 to 91.3.6.1491.3.6.1514
9891.3.6.16/2891.3.6.17 to 91.3.6.3091.3.6.3114
9991.3.6.32/2891.3.6.33 to 91.3.6.4691.3.6.4714
10091.3.6.48/2891.3.6.49 to 91.3.6.6291.3.6.6314
10191.3.6.64/2891.3.6.65 to 91.3.6.7891.3.6.7914
10291.3.6.80/2891.3.6.81 to 91.3.6.9491.3.6.9514
10391.3.6.96/2891.3.6.97 to 91.3.6.11091.3.6.11114
10491.3.6.112/2891.3.6.113 to 91.3.6.12691.3.6.12714
10591.3.6.128/2891.3.6.129 to 91.3.6.14291.3.6.14314
10691.3.6.144/2891.3.6.145 to 91.3.6.15891.3.6.15914
10791.3.6.160/2891.3.6.161 to 91.3.6.17491.3.6.17514
10891.3.6.176/2891.3.6.177 to 91.3.6.19091.3.6.19114
10991.3.6.192/2891.3.6.193 to 91.3.6.20691.3.6.20714
11091.3.6.208/2891.3.6.209 to 91.3.6.22291.3.6.22314
11191.3.6.224/2891.3.6.225 to 91.3.6.23891.3.6.23914
11291.3.6.240/2891.3.6.241 to 91.3.6.25491.3.6.25514
11391.3.7.0/2891.3.7.1 to 91.3.7.1491.3.7.1514
11491.3.7.16/2891.3.7.17 to 91.3.7.3091.3.7.3114
11591.3.7.32/2891.3.7.33 to 91.3.7.4691.3.7.4714
11691.3.7.48/2891.3.7.49 to 91.3.7.6291.3.7.6314
11791.3.7.64/2891.3.7.65 to 91.3.7.7891.3.7.7914
11891.3.7.80/2891.3.7.81 to 91.3.7.9491.3.7.9514
11991.3.7.96/2891.3.7.97 to 91.3.7.11091.3.7.11114
12091.3.7.112/2891.3.7.113 to 91.3.7.12691.3.7.12714
12191.3.7.128/2891.3.7.129 to 91.3.7.14291.3.7.14314
12291.3.7.144/2891.3.7.145 to 91.3.7.15891.3.7.15914
12391.3.7.160/2891.3.7.161 to 91.3.7.17491.3.7.17514
12491.3.7.176/2891.3.7.177 to 91.3.7.19091.3.7.19114
12591.3.7.192/2891.3.7.193 to 91.3.7.20691.3.7.20714
12691.3.7.208/2891.3.7.209 to 91.3.7.22291.3.7.22314
12791.3.7.224/2891.3.7.225 to 91.3.7.23891.3.7.23914
12891.3.7.240/2891.3.7.241 to 91.3.7.25491.3.7.25514
12991.3.8.0/2891.3.8.1 to 91.3.8.1491.3.8.1514
13091.3.8.16/2891.3.8.17 to 91.3.8.3091.3.8.3114
13191.3.8.32/2891.3.8.33 to 91.3.8.4691.3.8.4714
13291.3.8.48/2891.3.8.49 to 91.3.8.6291.3.8.6314
13391.3.8.64/2891.3.8.65 to 91.3.8.7891.3.8.7914
13491.3.8.80/2891.3.8.81 to 91.3.8.9491.3.8.9514
13591.3.8.96/2891.3.8.97 to 91.3.8.11091.3.8.11114
13691.3.8.112/2891.3.8.113 to 91.3.8.12691.3.8.12714
13791.3.8.128/2891.3.8.129 to 91.3.8.14291.3.8.14314
13891.3.8.144/2891.3.8.145 to 91.3.8.15891.3.8.15914
13991.3.8.160/2891.3.8.161 to 91.3.8.17491.3.8.17514
14091.3.8.176/2891.3.8.177 to 91.3.8.19091.3.8.19114
14191.3.8.192/2891.3.8.193 to 91.3.8.20691.3.8.20714
14291.3.8.208/2891.3.8.209 to 91.3.8.22291.3.8.22314
14391.3.8.224/2891.3.8.225 to 91.3.8.23891.3.8.23914
14491.3.8.240/2891.3.8.241 to 91.3.8.25491.3.8.25514
14591.3.9.0/2891.3.9.1 to 91.3.9.1491.3.9.1514
14691.3.9.16/2891.3.9.17 to 91.3.9.3091.3.9.3114
14791.3.9.32/2891.3.9.33 to 91.3.9.4691.3.9.4714
14891.3.9.48/2891.3.9.49 to 91.3.9.6291.3.9.6314
14991.3.9.64/2891.3.9.65 to 91.3.9.7891.3.9.7914
15091.3.9.80/2891.3.9.81 to 91.3.9.9491.3.9.9514
15191.3.9.96/2891.3.9.97 to 91.3.9.11091.3.9.11114
15291.3.9.112/2891.3.9.113 to 91.3.9.12691.3.9.12714
15391.3.9.128/2891.3.9.129 to 91.3.9.14291.3.9.14314
15491.3.9.144/2891.3.9.145 to 91.3.9.15891.3.9.15914
15591.3.9.160/2891.3.9.161 to 91.3.9.17491.3.9.17514
15691.3.9.176/2891.3.9.177 to 91.3.9.19091.3.9.19114
15791.3.9.192/2891.3.9.193 to 91.3.9.20691.3.9.20714
15891.3.9.208/2891.3.9.209 to 91.3.9.22291.3.9.22314
15991.3.9.224/2891.3.9.225 to 91.3.9.23891.3.9.23914
16091.3.9.240/2891.3.9.241 to 91.3.9.25491.3.9.25514
16191.3.10.0/2891.3.10.1 to 91.3.10.1491.3.10.1514
16291.3.10.16/2891.3.10.17 to 91.3.10.3091.3.10.3114
16391.3.10.32/2891.3.10.33 to 91.3.10.4691.3.10.4714
16491.3.10.48/2891.3.10.49 to 91.3.10.6291.3.10.6314
16591.3.10.64/2891.3.10.65 to 91.3.10.7891.3.10.7914
16691.3.10.80/2891.3.10.81 to 91.3.10.9491.3.10.9514
16791.3.10.96/2891.3.10.97 to 91.3.10.11091.3.10.11114
16891.3.10.112/2891.3.10.113 to 91.3.10.12691.3.10.12714
16991.3.10.128/2891.3.10.129 to 91.3.10.14291.3.10.14314
17091.3.10.144/2891.3.10.145 to 91.3.10.15891.3.10.15914
17191.3.10.160/2891.3.10.161 to 91.3.10.17491.3.10.17514
17291.3.10.176/2891.3.10.177 to 91.3.10.19091.3.10.19114
17391.3.10.192/2891.3.10.193 to 91.3.10.20691.3.10.20714
17491.3.10.208/2891.3.10.209 to 91.3.10.22291.3.10.22314
17591.3.10.224/2891.3.10.225 to 91.3.10.23891.3.10.23914
17691.3.10.240/2891.3.10.241 to 91.3.10.25491.3.10.25514
17791.3.11.0/2891.3.11.1 to 91.3.11.1491.3.11.1514
17891.3.11.16/2891.3.11.17 to 91.3.11.3091.3.11.3114
17991.3.11.32/2891.3.11.33 to 91.3.11.4691.3.11.4714
18091.3.11.48/2891.3.11.49 to 91.3.11.6291.3.11.6314
18191.3.11.64/2891.3.11.65 to 91.3.11.7891.3.11.7914
18291.3.11.80/2891.3.11.81 to 91.3.11.9491.3.11.9514
18391.3.11.96/2891.3.11.97 to 91.3.11.11091.3.11.11114
18491.3.11.112/2891.3.11.113 to 91.3.11.12691.3.11.12714
18591.3.11.128/2891.3.11.129 to 91.3.11.14291.3.11.14314
18691.3.11.144/2891.3.11.145 to 91.3.11.15891.3.11.15914
18791.3.11.160/2891.3.11.161 to 91.3.11.17491.3.11.17514
18891.3.11.176/2891.3.11.177 to 91.3.11.19091.3.11.19114
18991.3.11.192/2891.3.11.193 to 91.3.11.20691.3.11.20714
19091.3.11.208/2891.3.11.209 to 91.3.11.22291.3.11.22314
19191.3.11.224/2891.3.11.225 to 91.3.11.23891.3.11.23914
19291.3.11.240/2891.3.11.241 to 91.3.11.25491.3.11.25514
19391.3.12.0/2891.3.12.1 to 91.3.12.1491.3.12.1514
19491.3.12.16/2891.3.12.17 to 91.3.12.3091.3.12.3114
19591.3.12.32/2891.3.12.33 to 91.3.12.4691.3.12.4714
19691.3.12.48/2891.3.12.49 to 91.3.12.6291.3.12.6314
19791.3.12.64/2891.3.12.65 to 91.3.12.7891.3.12.7914
19891.3.12.80/2891.3.12.81 to 91.3.12.9491.3.12.9514
19991.3.12.96/2891.3.12.97 to 91.3.12.11091.3.12.11114
20091.3.12.112/2891.3.12.113 to 91.3.12.12691.3.12.12714
20191.3.12.128/2891.3.12.129 to 91.3.12.14291.3.12.14314
20291.3.12.144/2891.3.12.145 to 91.3.12.15891.3.12.15914
20391.3.12.160/2891.3.12.161 to 91.3.12.17491.3.12.17514
20491.3.12.176/2891.3.12.177 to 91.3.12.19091.3.12.19114
20591.3.12.192/2891.3.12.193 to 91.3.12.20691.3.12.20714
20691.3.12.208/2891.3.12.209 to 91.3.12.22291.3.12.22314
20791.3.12.224/2891.3.12.225 to 91.3.12.23891.3.12.23914
20891.3.12.240/2891.3.12.241 to 91.3.12.25491.3.12.25514
20991.3.13.0/2891.3.13.1 to 91.3.13.1491.3.13.1514
21091.3.13.16/2891.3.13.17 to 91.3.13.3091.3.13.3114
21191.3.13.32/2891.3.13.33 to 91.3.13.4691.3.13.4714
21291.3.13.48/2891.3.13.49 to 91.3.13.6291.3.13.6314
21391.3.13.64/2891.3.13.65 to 91.3.13.7891.3.13.7914
21491.3.13.80/2891.3.13.81 to 91.3.13.9491.3.13.9514
21591.3.13.96/2891.3.13.97 to 91.3.13.11091.3.13.11114
21691.3.13.112/2891.3.13.113 to 91.3.13.12691.3.13.12714
21791.3.13.128/2891.3.13.129 to 91.3.13.14291.3.13.14314
21891.3.13.144/2891.3.13.145 to 91.3.13.15891.3.13.15914
21991.3.13.160/2891.3.13.161 to 91.3.13.17491.3.13.17514
22091.3.13.176/2891.3.13.177 to 91.3.13.19091.3.13.19114
22191.3.13.192/2891.3.13.193 to 91.3.13.20691.3.13.20714
22291.3.13.208/2891.3.13.209 to 91.3.13.22291.3.13.22314
22391.3.13.224/2891.3.13.225 to 91.3.13.23891.3.13.23914
22491.3.13.240/2891.3.13.241 to 91.3.13.25491.3.13.25514
22591.3.14.0/2891.3.14.1 to 91.3.14.1491.3.14.1514
22691.3.14.16/2891.3.14.17 to 91.3.14.3091.3.14.3114
22791.3.14.32/2891.3.14.33 to 91.3.14.4691.3.14.4714
22891.3.14.48/2891.3.14.49 to 91.3.14.6291.3.14.6314
22991.3.14.64/2891.3.14.65 to 91.3.14.7891.3.14.7914
23091.3.14.80/2891.3.14.81 to 91.3.14.9491.3.14.9514
23191.3.14.96/2891.3.14.97 to 91.3.14.11091.3.14.11114
23291.3.14.112/2891.3.14.113 to 91.3.14.12691.3.14.12714
23391.3.14.128/2891.3.14.129 to 91.3.14.14291.3.14.14314
23491.3.14.144/2891.3.14.145 to 91.3.14.15891.3.14.15914
23591.3.14.160/2891.3.14.161 to 91.3.14.17491.3.14.17514
23691.3.14.176/2891.3.14.177 to 91.3.14.19091.3.14.19114
23791.3.14.192/2891.3.14.193 to 91.3.14.20691.3.14.20714
23891.3.14.208/2891.3.14.209 to 91.3.14.22291.3.14.22314
23991.3.14.224/2891.3.14.225 to 91.3.14.23891.3.14.23914
24091.3.14.240/2891.3.14.241 to 91.3.14.25491.3.14.25514
24191.3.15.0/2891.3.15.1 to 91.3.15.1491.3.15.1514
24291.3.15.16/2891.3.15.17 to 91.3.15.3091.3.15.3114
24391.3.15.32/2891.3.15.33 to 91.3.15.4691.3.15.4714
24491.3.15.48/2891.3.15.49 to 91.3.15.6291.3.15.6314
24591.3.15.64/2891.3.15.65 to 91.3.15.7891.3.15.7914
24691.3.15.80/2891.3.15.81 to 91.3.15.9491.3.15.9514
24791.3.15.96/2891.3.15.97 to 91.3.15.11091.3.15.11114
24891.3.15.112/2891.3.15.113 to 91.3.15.12691.3.15.12714
24991.3.15.128/2891.3.15.129 to 91.3.15.14291.3.15.14314
25091.3.15.144/2891.3.15.145 to 91.3.15.15891.3.15.15914
25191.3.15.160/2891.3.15.161 to 91.3.15.17491.3.15.17514
25291.3.15.176/2891.3.15.177 to 91.3.15.19091.3.15.19114
25391.3.15.192/2891.3.15.193 to 91.3.15.20691.3.15.20714
25491.3.15.208/2891.3.15.209 to 91.3.15.22291.3.15.22314
25591.3.15.224/2891.3.15.225 to 91.3.15.23891.3.15.23914
25691.3.15.240/2891.3.15.241 to 91.3.15.25491.3.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses